# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/input/awinic,aw86927.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Awinic AW86927 LRA Haptic IC

maintainers:
  - Griffin Kroah-Hartman <griffin.kroah@fairphone.com>

properties:
  compatible:
    const: awinic,aw86927

  reg:
    maxItems: 1

  reset-gpios:
    maxItems: 1

  interrupts:
    maxItems: 1

required:
  - compatible
  - reg
  - reset-gpios
  - interrupts

additionalProperties: false

examples:
  - |
    #include <dt-bindings/gpio/gpio.h>
    #include <dt-bindings/interrupt-controller/irq.h>

    i2c {
        #address-cells = <1>;
        #size-cells = <0>;

        vibrator@5a {
            compatible = "awinic,aw86927";
            reg = <0x5a>;
            interrupts-extended = <&tlmm 101 IRQ_TYPE_EDGE_FALLING>;
            reset-gpios = <&tlmm 100 GPIO_ACTIVE_LOW>;
        };
    };
